GCLOUD_SQL_DATABASES_CREATE(1)

NAME

gcloud sql databases create - creates a database for a Cloud SQL instance

SYNOPSIS

gcloud sql databases create DATABASE --instance=INSTANCE, -i INSTANCE [--async] [--charset=CHARSET] [--collation=COLLATION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Creates a database for a Cloud SQL instance.

POSITIONAL ARGUMENTS

    DATABASE
        Cloud SQL database name.

REQUIRED FLAGS

    --instance=INSTANCE, -i INSTANCE
        Cloud SQL instance ID.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --charset=CHARSET
        Cloud SQL database charset setting, which specifies the set of symbols and encodings used to store the data in your database. Each database version may support a different set of charsets.

    --collation=COLLATION
        Cloud SQL database collation setting, which specifies the set of rules for comparing characters in a character set. Each database version may support a different set of collations.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.